Skip to main content
`Ctrl`+`K`

# PEPSTOARSetLocking

Choose between locking and non-locking variants of the STOAR method.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSTOARSetLocking(PEP pep,PetscBool lock)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- lock - `PETSC_TRUE` if the locking variant must be selected

## Options Database Key

- -pep_stoar_locking - sets the locking flag

## Note

The default is to lock converged eigenpairs when the method restarts. This behavior can be changed so that all directions are kept in the working subspace even if already converged to working accuracy (the non-locking variant).

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSTOAR`, `PEPSTOARGetLocking()`

## Level

advanced

## Location

src/pep/impls/krylov/stoar/stoar.c

## Implementations

PEPSTOARSetLocking_STOAR() in src/pep/impls/krylov/stoar/stoar.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages